Get Team
curl --request GET \
--url https://api.crowdchange.dev/v2/client/teams/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.crowdchange.dev/v2/client/teams/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crowdchange.dev/v2/client/teams/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "Team A",
"description": "Team description",
"images": {
"original": "https://img.crowdchange.dev/files/abc.png"
},
"amount_goal": 1000,
"amount_goal_formatted": "$1,000",
"amount_raised": 550,
"amount_raised_formatted": "$550",
"n_donors": 10,
"n_pages": 50,
"url": "https://demo.crowdchange.dev/1/team/2",
"language": "en",
"fundraiser": {
"id": 1,
"name": "Gala Night",
"amount_goal": 10000,
"amount_raised": 8000,
"amount_raised_formatted": "$8,000",
"url": "https://demo.crowdchange.dev/1",
"language": "en",
"organization": {
"id": 1,
"name": "Crowdchange",
"custom_id": "CrowdchangeID"
}
},
"user": {
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr."
}
}
Global APIs
Get Team
Retrieve a single CrowdChange fundraising team by ID, including parent campaign, captain, member count, goal, and total raised so far.
GET
/
v2
/
client
/
teams
/
{id}
Get Team
Path parameters
integer
required
Team ID.
Response
integer
Team ID.
string
Team name.
string
Team description
number
Goal amount.
string
Formatted goal amount of the team, includes currency symbol.
number
Amount raised by the team.
string
Formatted amount raised by the team, includes currency symbol.
number
Number of donors
integer
Number of pages.
string
URL to team’s page.
string
Team language. Allowed values:
en, frobject
Campaign that team belongs to.
Show properties
Show properties
integer
Campaign ID.
string
Campaign name.
number
Campaign’s goal amount.
number
Total amount raised by the campaign.
string
Formatted amount raised by the campaign, includes currency symbol.
string
Full URL to campaign’s page.
string
Campaign language. Allowed values:
en, frobject
| Status | Description |
|---|---|
400 | Bad Request |
403 | Forbidden |
{
"id": 1,
"name": "Team A",
"description": "Team description",
"images": {
"original": "https://img.crowdchange.dev/files/abc.png"
},
"amount_goal": 1000,
"amount_goal_formatted": "$1,000",
"amount_raised": 550,
"amount_raised_formatted": "$550",
"n_donors": 10,
"n_pages": 50,
"url": "https://demo.crowdchange.dev/1/team/2",
"language": "en",
"fundraiser": {
"id": 1,
"name": "Gala Night",
"amount_goal": 10000,
"amount_raised": 8000,
"amount_raised_formatted": "$8,000",
"url": "https://demo.crowdchange.dev/1",
"language": "en",
"organization": {
"id": 1,
"name": "Crowdchange",
"custom_id": "CrowdchangeID"
}
},
"user": {
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr."
}
}
Was this page helpful?
⌘I